using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability2138.Domain;

public class TaobaoTbkDgNewuserOrderGetData
{

    /*
        resultList
    */
    private IList<TaobaoTbkDgNewuserOrderGetMapData>? results;


    /*
        页码
    */
    private long? pageNo;


    /*
        每页大小
    */
    private long? pageSize;


    /*
        是否有下一页
    */
    private bool? hasNext;



    [JsonPropertyName("results")]
    public IList<TaobaoTbkDgNewuserOrderGetMapData>? Results
    {
        get => results;
        set => this.results = value;
    }

    [JsonPropertyName("page_no")]
    public long? PageNo
    {
        get => pageNo;
        set => this.pageNo = value;
    }

    [JsonPropertyName("page_size")]
    public long? PageSize
    {
        get => pageSize;
        set => this.pageSize = value;
    }

    [JsonPropertyName("has_next")]
    public bool? HasNext
    {
        get => hasNext;
        set => this.hasNext = value;
    }

}

